OTGrammarEditor

One of the editors in Praat, for viewing and editing the grammar in an OTGrammar object.

See the OT learning tutorial for examples.

## Usage

The menu command that you will probably use most often if you investigate variation, is the Evaluate (noise 2.0) command, which you can invoke from the Edit menu or by pressing Command-2.

This command performs a new evaluation with the current ranking values. Some noise is added to the ranking values, so that the disharmonies of the constraint will change. This may cause a change in the ranking order of the constraints, which in its turn may cause a different candidate to win in some tableaus.

### Links to this page

- OT learning 2. The grammar
- OT learning 2.1. Viewing a grammar
- OT learning 2.8. Asking for one output
- OT learning 3.2. Data from another grammar
- Types of objects